---
title: "openbankings"
slug: "openbankings"
updated: 2025-10-21T13:54:50Z
published: 2025-10-21T13:54:50Z
canonical: "api-docs.blinkpayment.co.uk/openbankings"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.
# openbankings
Post/api/pay/v1/openbankings
This endpoint processes an open banking payment and returns the banking server redirect url as a response.
**Request Body**
- `payment_intent` (string, required): The payment intent token.
- `customer_email` (string, required): The email address of the customer making the payment.
- `customer_name` (string, required): The name of the customer making the payment.
- `transaction_unique` (string, required): A unique identifier for the transaction.
- `merchant_data` (json, optional): Additional custom data related to the merchant or customer.
**Response Body**
`url` (string): The banking server redirect URL where the customer needs to be redirected to complete the payment process.
SecurityHTTPType bearer
Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Body parametersobject Example{
"payment_intent": "{{payment_intent}}",
"user_name": "{{$randomFullName}}",
"user_email": "{{$randomEmail}}",
"merchant_data": "{\"order_id\": \"ob-12345678\"}"
}
Responses200
Successful response